RDKit: RDKit::AtomEnvironment< OutputType > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::AtomEnvironment< OutputType > Class Template Referenceabstract

abstract base class that holds atom-environments that will be hashed to generate the fingerprint More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::AtomEnvironment< OutputType >:

## Public Member Functions
virtual OutputType | getBitId (FingerprintArguments *arguments, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, AdditionalOutput *AdditionalOutput, const bool hashResults=false, const std::uint64_t fpSize=0) const =0
| calculates and returns the bit id to be set for this atom-environment
virtual void | updateAdditionalOutput (AdditionalOutput *AdditionalOutput, size_t bitId) const =0
virtual | ~AtomEnvironment ()

## Detailed Description

template<typename OutputType>
class RDKit::AtomEnvironment< OutputType >

abstract base class that holds atom-environments that will be hashed to generate the fingerprint

Definition at line 131 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## ◆ ~AtomEnvironment()

template<typename OutputType>

virtual RDKit::AtomEnvironment< OutputType >::~AtomEnvironment | ( |  | ) |
| inlinevirtual

Definition at line 153 of file FingerprintGenerator.h.

## Member Function Documentation

## ◆ getBitId()

template<typename OutputType>

virtual OutputType RDKit::AtomEnvironment< OutputType >::getBitId | ( | FingerprintArguments * | arguments,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | AdditionalOutput * | AdditionalOutput,
|  | const bool | hashResults = false,
|  | const std::uint64_t | fpSize = 0 ) const
| pure virtual

calculates and returns the bit id to be set for this atom-environment

Parameters

  arguments | Fingerprinting type specific molecule independent arguments
  atomInvariants | Atom-invariants to be used during hashing
  bondInvariants | Bond-invariants to be used during hashing
  hashResults | if set results will be ready to be modded

Returns
  OutputType calculated bit id for this environment

Implemented in RDKit::AtomPair::AtomPairAtomEnv< OutputType >, RDKit::MorganFingerprint::MorganAtomEnv< OutputType >, RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >, and RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >.

## ◆ updateAdditionalOutput()

template<typename OutputType>

virtual void RDKit::AtomEnvironment< OutputType >::updateAdditionalOutput | ( | AdditionalOutput * | AdditionalOutput,
|  | size_t | bitId ) const
| pure virtual

Implemented in RDKit::AtomPair::AtomPairAtomEnv< OutputType >, RDKit::MorganFingerprint::MorganAtomEnv< OutputType >, RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >, and RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h